Package javax.help.plaf.basic

# Class BasicHelpUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.help.plaf.HelpUI
javax.help.plaf.basic.BasicHelpUI

All Implemented Interfaces:
  `PropertyChangeListener`, `Serializable`, `EventListener`

public class BasicHelpUI extends HelpUI implements PropertyChangeListener, Serializable
The default UI for JHelp.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected JHelp`
`help`
`protected Vector`
`navs`
`protected JSplitPane`
`splitPane`
`protected JTabbedPane`
`tabbedPane`
`protected JToolBar`
`toolbar`

## Constructor Summary

Constructors
Constructor
Description
`BasicHelpUI(JHelp b)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addNavigator(JHelpNavigator nav)`
Adds a Navigator.
`protected JToolBar`
`createToolBar(Locale locale)`
`static ComponentUI`
`createUI(JComponent x)`
`JHelpNavigator`
`getCurrentNavigator()`
Gets the current Navigator.
`Enumeration`
`getHelpNavigators()`
`protected HelpHistoryModel`
`getHistoryModel()`
Returns actual HelpHistoryModel
`static ImageIcon`
`getIcon(Class klass, String name)`
`Dimension`
`getMaximumSize(JComponent c)`
`Dimension`
`getMinimumSize(JComponent c)`
`protected HelpModel`
`getModel()`
`Dimension`
`getPreferredSize(JComponent c)`
`void`
`installUI(JComponent c)`
`void`
`propertyChange(PropertyChangeEvent event)`
`void`
`removeNavigator(JHelpNavigator nav)`
Remove a Navigator.
`void`
`setCurrentNavigator(JHelpNavigator nav)`
Sets the current Navigator.
`void`
`uninstallUI(JComponent c)`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, paint, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### help

protected JHelp help

### toolbar

protected JToolBar toolbar

### splitPane

protected JSplitPane splitPane

### tabbedPane

protected JTabbedPane tabbedPane

### navs

protected Vector navs

## Constructor Details

### BasicHelpUI

public BasicHelpUI(JHelp b)

## Method Details

### createUI

public static ComponentUI createUI(JComponent x)

### installUI

public void installUI(JComponent c)

Overrides:
  `installUI` in class `ComponentUI`

### createToolBar

protected JToolBar createToolBar(Locale locale)

### uninstallUI

public void uninstallUI(JComponent c)

Overrides:
  `uninstallUI` in class `ComponentUI`

### getPreferredSize

public Dimension getPreferredSize(JComponent c)

Overrides:
  `getPreferredSize` in class `ComponentUI`

### getMinimumSize

public Dimension getMinimumSize(JComponent c)

Overrides:
  `getMinimumSize` in class `ComponentUI`

### getMaximumSize

public Dimension getMaximumSize(JComponent c)

Overrides:
  `getMaximumSize` in class `ComponentUI`

### propertyChange

public void propertyChange(PropertyChangeEvent event)

Specified by:
  `propertyChange` in interface `PropertyChangeListener`

### getModel

protected HelpModel getModel()

### getHistoryModel

protected HelpHistoryModel getHistoryModel()
Returns actual HelpHistoryModel

Returns:
  The HelpHistoryModel

### addNavigator

public void addNavigator(JHelpNavigator nav)
Description copied from class: `HelpUI`
Adds a Navigator.

Specified by:
  `addNavigator` in class `HelpUI`
Parameters:
  `nav` - the Navigator to add

### removeNavigator

public void removeNavigator(JHelpNavigator nav)
Description copied from class: `HelpUI`
Remove a Navigator.

Specified by:
  `removeNavigator` in class `HelpUI`
Parameters:
  `nav` - The Navigator to remove.

### getHelpNavigators

public Enumeration getHelpNavigators()

### setCurrentNavigator

public void setCurrentNavigator(JHelpNavigator nav)
Sets the current Navigator.

Specified by:
  `setCurrentNavigator` in class `HelpUI`
Parameters:
  `nav` - The current Navigator to show.
  `navigator` - The navigator

### getCurrentNavigator

public JHelpNavigator getCurrentNavigator()
Description copied from class: `HelpUI`
Gets the current Navigator.

Specified by:
  `getCurrentNavigator` in class `HelpUI`

### getIcon

public static ImageIcon getIcon(Class klass, String name)